INTERFACE
SUBROUTINE SCATRA_GEMS_AD(ptamoy, ptamoyb, ptray, ptodaer, ptodaerb,&
 & ptodray, pizmoy, pizmoyb, prm, pgb, pxmus, pxmuv, pbetal, pbetalb,&
 & ppsl, pddirtt, pddirttb, pddiftt, pddifttb, pudirtt, pudirttb,&
 & pudiftt, pudifttb, psphalbt, psphalbtb) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE rt6svalues
 REAL(KIND=JPRB), INTENT(IN) :: pxmus, pxmuv
 REAL(KIND=JPRB), INTENT(IN) :: ptodaer, ptodray
 REAL(KIND=JPRB), INTENT(INOUT) :: ptodaerb
 REAL(KIND=JPRB), INTENT(IN) :: ptamoy(0:knt), ptray(0:knt)
 REAL(KIND=JPRB), INTENT(INOUT) :: ptamoyb(0:knt)
 REAL(KIND=JPRB), INTENT(IN) :: pgb(-kmu:kmu)
 REAL(KIND=JPRB), INTENT(IN) :: pizmoy(0:knt)
 REAL(KIND=JPRB), INTENT(INOUT) :: pizmoyb(0:knt)
 REAL(KIND=JPRB), INTENT(IN) :: pbetal(0:knt, 0:knang)
 REAL(KIND=JPRB), INTENT(INOUT) :: pbetalb(0:knt, 0:knang)
 REAL(KIND=JPRB), INTENT(IN) :: ppsl(0:knang, -1:knang, -kmu:kmu)
 REAL(KIND=JPRB), INTENT(INOUT) :: prm(-kmu:kmu)
 REAL(KIND=JPRB), INTENT(IN) :: pddirtt
 REAL(KIND=JPRB), INTENT(INOUT) :: pddirttb
 REAL(KIND=JPRB), INTENT(IN) :: pddiftt
 REAL(KIND=JPRB), INTENT(INOUT) :: pddifttb
 REAL(KIND=JPRB), INTENT(IN) :: pudirtt
 REAL(KIND=JPRB), INTENT(INOUT) :: pudirttb
 REAL(KIND=JPRB), INTENT(IN) :: pudiftt
 REAL(KIND=JPRB), INTENT(INOUT) :: pudifttb
 REAL(KIND=JPRB), INTENT(IN) :: psphalbt
 REAL(KIND=JPRB), INTENT(INOUT) :: psphalbtb
END SUBROUTINE SCATRA_GEMS_AD
END INTERFACE
